
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Spam quick start &#8212; DIC data analysis</title>
    
  <link href="../_static/css/theme.css" rel="stylesheet" />
  <link href="../_static/css/index.c5995385ac14fb8791e8eb36b4908be2.css" rel="stylesheet" />

    
  <link rel="stylesheet"
    href="../_static/vendor/fontawesome/5.13.0/css/all.min.css">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../_static/vendor/fontawesome/5.13.0/webfonts/fa-solid-900.woff2">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../_static/vendor/fontawesome/5.13.0/webfonts/fa-brands-400.woff2">

    
      

    
    <link rel="stylesheet" href="../_static/sphinx-book-theme.acff12b8f9c144ce68a297486a2fa670.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <link rel="stylesheet" type="text/css" href="../_static/togglebutton.css" />
    <link rel="stylesheet" type="text/css" href="../_static/copybutton.css" />
    <link rel="stylesheet" type="text/css" href="../_static/mystnb.css" />
    <link rel="stylesheet" type="text/css" href="../_static/sphinx-thebe.css" />
    <link rel="stylesheet" type="text/css" href="../_static/panels-main.c949a650a448cc0ae9fd3441c0e17fb0.css" />
    <link rel="stylesheet" type="text/css" href="../_static/panels-variables.06eb56fa6e07937060861dad626602ad.css" />
    
  <link rel="preload" as="script" href="../_static/js/index.1c5a1a01449ed65a7b51.js">

    <script id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    <script src="../_static/language_data.js"></script>
    <script src="../_static/togglebutton.js"></script>
    <script src="../_static/clipboard.min.js"></script>
    <script src="../_static/copybutton.js"></script>
    <script >var togglebuttonSelector = '.toggle, .admonition.dropdown, .tag_hide_input div.cell_input, .tag_hide-input div.cell_input, .tag_hide_output div.cell_output, .tag_hide-output div.cell_output, .tag_hide_cell.cell, .tag_hide-cell.cell';</script>
    <script src="../_static/sphinx-book-theme.12a9622fbb08dcb3a2a40b2c02b83a57.js"></script>
    <script async="async" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.7/latest.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <script type="text/x-mathjax-config">MathJax.Hub.Config({"tex2jax": {"inlineMath": [["\\(", "\\)"]], "displayMath": [["\\[", "\\]"]], "processRefs": false, "processEnvironments": false}})</script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js"></script>
    <script src="https://unpkg.com/@jupyter-widgets/html-manager@^0.20.0/dist/embed-amd.js"></script>
    <script async="async" src="https://unpkg.com/thebelab@latest/lib/index.js"></script>
    <script >
        const thebe_selector = ".thebe"
        const thebe_selector_input = "pre"
        const thebe_selector_output = ".output"
    </script>
    <script async="async" src="../_static/sphinx-thebe.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="docsearch:language" content="en" />
    
  </head>
  <body data-spy="scroll" data-target="#bd-toc-nav" data-offset="80">
    
    <div class="container-fluid" id="banner"></div>

    

    <div class="container-xl">
      <div class="row">
          
<div class="col-12 col-md-3 bd-sidebar site-navigation show" id="site-navigation">
    
        <div class="navbar-brand-box">
    <a class="navbar-brand text-wrap" href="../index.html">
      
      <img src="../_static/logo.png" class="logo" alt="logo">
      
      
      <h1 class="site-logo" id="site-title">DIC data analysis</h1>
      
    </a>
</div><form class="bd-search d-flex align-items-center" action="../search.html" method="get">
  <i class="icon fas fa-search"></i>
  <input type="search" class="form-control" name="q" id="search-input" placeholder="Search this book..." aria-label="Search this book..." autocomplete="off" >
</form><nav class="bd-links" id="bd-docs-nav" aria-label="Main navigation">
    <div class="bd-toc-item active">
        <ul class="nav bd-sidenav">
 <li class="toctree-l1">
  <a class="reference internal" href="intro.html">
   Welcome to DIC book
  </a>
 </li>
</ul>
<p class="caption">
 <span class="caption-text">
  Tutorials
 </span>
</p>
<ul class="nav bd-sidenav">
 <li class="toctree-l1">
  <a class="reference internal" href="Quick_Start.html">
   Quick start
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="Multi_input_DIC.html">
   Multi inputs DIC
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="DIC_windows_size_estimation.html">
   Estimation of the windows size
  </a>
 </li>
</ul>

    </div>
</nav> <!-- To handle the deprecated key -->

<div class="navbar_extra_footer">
  Powered by <a href="https://jupyterbook.org">Jupyter Book</a>
</div>

</div>


          


          
<main class="col py-md-3 pl-md-4 bd-content overflow-auto" role="main">
    
    <div class="topbar container-xl fixed-top">
    <div class="topbar-contents row">
        <div class="col-12 col-md-3 bd-topbar-whitespace site-navigation show"></div>
        <div class="col pl-md-4 topbar-main">
            
            <button id="navbar-toggler" class="navbar-toggler ml-0" type="button" data-toggle="collapse"
                data-toggle="tooltip" data-placement="bottom" data-target=".site-navigation" aria-controls="navbar-menu"
                aria-expanded="true" aria-label="Toggle navigation" aria-controls="site-navigation"
                title="Toggle navigation" data-toggle="tooltip" data-placement="left">
                <i class="fas fa-bars"></i>
                <i class="fas fa-arrow-left"></i>
                <i class="fas fa-arrow-up"></i>
            </button>
            
            
<div class="dropdown-buttons-trigger">
    <button id="dropdown-buttons-trigger" class="btn btn-secondary topbarbtn" aria-label="Download this page"><i
            class="fas fa-download"></i></button>

    <div class="dropdown-buttons">
        <!-- ipynb file if we had a myst markdown file -->
        
        <!-- Download raw file -->
        <a class="dropdown-buttons" href="../_sources/docs/Spam_quick_start.ipynb"><button type="button"
                class="btn btn-secondary topbarbtn" title="Download source file" data-toggle="tooltip"
                data-placement="left">.ipynb</button></a>
        <!-- Download PDF via print -->
        <button type="button" id="download-print" class="btn btn-secondary topbarbtn" title="Print to PDF"
            onClick="window.print()" data-toggle="tooltip" data-placement="left">.pdf</button>
    </div>
</div>

            <!-- Source interaction buttons -->

<div class="dropdown-buttons-trigger">
    <button id="dropdown-buttons-trigger" class="btn btn-secondary topbarbtn"
        aria-label="Connect with source repository"><i class="fab fa-github"></i></button>
    <div class="dropdown-buttons sourcebuttons">
        <a class="repository-button"
            href="https://gricad-gitlab.univ-grenoble-alpes.fr/mecaiceige/tools/documentations/DIC-Book"><button type="button" class="btn btn-secondary topbarbtn"
                data-toggle="tooltip" data-placement="left" title="Source repository"><i
                    class="fab fa-github"></i>repository</button></a>
        <a class="issues-button"
            href="https://gricad-gitlab.univ-grenoble-alpes.fr/mecaiceige/tools/documentations/DIC-Book/issues/new?title=Issue%20on%20page%20%2Fdocs/Spam_quick_start.html&body=Your%20issue%20content%20here."><button
                type="button" class="btn btn-secondary topbarbtn" data-toggle="tooltip" data-placement="left"
                title="Open an issue"><i class="fas fa-lightbulb"></i>open issue</button></a>
        <a class="edit-button" href="https://github.com/documentations/DIC-Book/edit/main/./docs/Spam_quick_start.ipynb"><button
                type="button" class="btn btn-secondary topbarbtn" data-toggle="tooltip" data-placement="left"
                title="Edit this page"><i class="fas fa-pencil-alt"></i>suggest edit</button></a>
    </div>
</div>

            <!-- Full screen (wrap in <a> to have style consistency -->

<a class="full-screen-button"><button type="button" class="btn btn-secondary topbarbtn" data-toggle="tooltip"
        data-placement="bottom" onclick="toggleFullScreen()" aria-label="Fullscreen mode"
        title="Fullscreen mode"><i
            class="fas fa-expand"></i></button></a>

            <!-- Launch buttons -->

        </div>

        <!-- Table of contents -->
        <div class="d-none d-md-block col-md-2 bd-toc show">
            
            <div class="tocsection onthispage pt-5 pb-3">
                <i class="fas fa-list"></i> Contents
            </div>
            <nav id="bd-toc-nav">
                <ul class="visible nav section-nav flex-column">
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#preprocessing-the-image">
   Preprocessing the image
  </a>
 </li>
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#the-images">
   The images
  </a>
  <ul class="nav section-nav flex-column">
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#the-initial-and-final-image-for-dic">
     The initial and final image for DIC
    </a>
   </li>
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#the-mask-image">
     The mask image
    </a>
   </li>
  </ul>
 </li>
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#the-dic-using-spam">
   The DIC using spam
  </a>
 </li>
</ul>

            </nav>
        </div>
    </div>
</div>
    <div id="main-content" class="row">
        <div class="col-12 col-md-9 pl-md-3 pr-md-0">
        
              <div>
                
  <div class="section" id="spam-quick-start">
<h1>Spam quick start<a class="headerlink" href="#spam-quick-start" title="Permalink to this headline">¶</a></h1>
<p>You can find a complete docmumentation about <a class="reference external" href="https://ttk.gricad-pages.univ-grenoble-alpes.fr/spam/index.html">spam</a> that is able to do more than just 2D images correlation.</p>
<p>Here we present a simple DIC on 2D images.</p>
<p>This tutorial has been tested using [spam 0.6.0.1]</p>
<div class="section" id="preprocessing-the-image">
<h2>Preprocessing the image<a class="headerlink" href="#preprocessing-the-image" title="Permalink to this headline">¶</a></h2>
<p>To comvert <strong>raw</strong> image into <strong>tiff</strong>, we recomande <a class="reference external" href="https://www.dechifro.org/dcraw/">dcraw</a>. It is able to process <code class="docutils literal notranslate"><span class="pre">CR2</span></code>, <code class="docutils literal notranslate"><span class="pre">NEF</span></code>, … image formats.
`</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p><a class="reference external" href="https://ttk.gricad-pages.univ-grenoble-alpes.fr/spam/index.html">spam</a> need grayscale image. A way to process the raw image is :</p>
<p><code class="docutils literal notranslate"><span class="pre">dcraw</span> <span class="pre">-d</span> <span class="pre">-T</span> <span class="pre">image.NEF</span></code></p>
</div>
</div>
<div class="section" id="the-images">
<h2>The images<a class="headerlink" href="#the-images" title="Permalink to this headline">¶</a></h2>
<div class="section" id="the-initial-and-final-image-for-dic">
<h3>The initial and final image for DIC<a class="headerlink" href="#the-initial-and-final-image-for-dic" title="Permalink to this headline">¶</a></h3>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="kn">import</span> <span class="nn">tifffile</span>
<span class="kn">import</span> <span class="nn">matplotlib.pyplot</span> <span class="k">as</span> <span class="nn">plt</span>
<span class="kn">import</span> <span class="nn">matplotlib.cm</span> <span class="k">as</span> <span class="nn">cm</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">adr_i</span><span class="o">=</span><span class="s1">&#39;/data/Manips/Columnar_Ice/CI23/DIC_Analysis/Test_spam/CI23_set01_001.tiff&#39;</span>
<span class="n">adr_f</span><span class="o">=</span><span class="s1">&#39;/data/Manips/Columnar_Ice/CI23/DIC_Analysis/Test_spam/CI23_set01_027.tiff&#39;</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">im_i</span><span class="o">=</span><span class="n">tifffile</span><span class="o">.</span><span class="n">imread</span><span class="p">(</span><span class="n">adr_i</span><span class="p">)</span>
<span class="n">im_f</span><span class="o">=</span><span class="n">tifffile</span><span class="o">.</span><span class="n">imread</span><span class="p">(</span><span class="n">adr_f</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output traceback highlight-ipythontb notranslate"><div class="highlight"><pre><span></span><span class="gt">---------------------------------------------------------------------------</span>
<span class="ne">FileNotFoundError</span><span class="g g-Whitespace">                         </span>Traceback (most recent call last)
<span class="o">&lt;</span><span class="n">ipython</span><span class="o">-</span><span class="nb">input</span><span class="o">-</span><span class="mi">3</span><span class="o">-</span><span class="n">b7248b34c331</span><span class="o">&gt;</span> <span class="ow">in</span> <span class="o">&lt;</span><span class="n">module</span><span class="o">&gt;</span>
<span class="ne">----&gt; </span><span class="mi">1</span> <span class="n">im_i</span><span class="o">=</span><span class="n">tifffile</span><span class="o">.</span><span class="n">imread</span><span class="p">(</span><span class="n">adr_i</span><span class="p">)</span>
<span class="g g-Whitespace">      </span><span class="mi">2</span> <span class="n">im_f</span><span class="o">=</span><span class="n">tifffile</span><span class="o">.</span><span class="n">imread</span><span class="p">(</span><span class="n">adr_f</span><span class="p">)</span>

<span class="nn">~/miniconda3/envs/basepy39/lib/python3.9/site-packages/tifffile/tifffile.py</span> in <span class="ni">imread</span><span class="nt">(files, aszarr, **kwargs)</span>
<span class="g g-Whitespace">    </span><span class="mi">808</span> 
<span class="g g-Whitespace">    </span><span class="mi">809</span>         <span class="k">if</span> <span class="nb">isinstance</span><span class="p">(</span><span class="n">files</span><span class="p">,</span> <span class="p">(</span><span class="nb">str</span><span class="p">,</span> <span class="n">os</span><span class="o">.</span><span class="n">PathLike</span><span class="p">))</span> <span class="ow">or</span> <span class="nb">hasattr</span><span class="p">(</span><span class="n">files</span><span class="p">,</span> <span class="s1">&#39;seek&#39;</span><span class="p">):</span>
<span class="ne">--&gt; </span><span class="mi">810</span>             <span class="k">with</span> <span class="n">TiffFile</span><span class="p">(</span><span class="n">files</span><span class="p">,</span> <span class="o">**</span><span class="n">kwargs_file</span><span class="p">)</span> <span class="k">as</span> <span class="n">tif</span><span class="p">:</span>
<span class="g g-Whitespace">    </span><span class="mi">811</span>                 <span class="k">if</span> <span class="n">aszarr</span><span class="p">:</span>
<span class="g g-Whitespace">    </span><span class="mi">812</span>                     <span class="k">return</span> <span class="n">tif</span><span class="o">.</span><span class="n">aszarr</span><span class="p">(</span><span class="o">**</span><span class="n">kwargs</span><span class="p">)</span>

<span class="nn">~/miniconda3/envs/basepy39/lib/python3.9/site-packages/tifffile/tifffile.py</span> in <span class="ni">__init__</span><span class="nt">(self, arg, mode, name, offset, size, _multifile, _useframes, _master, **kwargs)</span>
<span class="g g-Whitespace">   </span><span class="mi">2975</span>             <span class="k">raise</span> <span class="ne">ValueError</span><span class="p">(</span><span class="sa">f</span><span class="s1">&#39;invalid mode </span><span class="si">{</span><span class="n">mode</span><span class="si">!r}</span><span class="s1">&#39;</span><span class="p">)</span>
<span class="g g-Whitespace">   </span><span class="mi">2976</span> 
<span class="ne">-&gt; </span><span class="mi">2977</span>         <span class="n">fh</span> <span class="o">=</span> <span class="n">FileHandle</span><span class="p">(</span><span class="n">arg</span><span class="p">,</span> <span class="n">mode</span><span class="o">=</span><span class="n">mode</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="n">name</span><span class="p">,</span> <span class="n">offset</span><span class="o">=</span><span class="n">offset</span><span class="p">,</span> <span class="n">size</span><span class="o">=</span><span class="n">size</span><span class="p">)</span>
<span class="g g-Whitespace">   </span><span class="mi">2978</span>         <span class="bp">self</span><span class="o">.</span><span class="n">_fh</span> <span class="o">=</span> <span class="n">fh</span>
<span class="g g-Whitespace">   </span><span class="mi">2979</span>         <span class="bp">self</span><span class="o">.</span><span class="n">_multifile</span> <span class="o">=</span> <span class="nb">bool</span><span class="p">(</span><span class="n">_multifile</span><span class="p">)</span>

<span class="nn">~/miniconda3/envs/basepy39/lib/python3.9/site-packages/tifffile/tifffile.py</span> in <span class="ni">__init__</span><span class="nt">(self, file, mode, name, offset, size)</span>
<span class="g g-Whitespace">   </span><span class="mi">9444</span>         <span class="bp">self</span><span class="o">.</span><span class="n">is_file</span> <span class="o">=</span> <span class="kc">None</span>
<span class="g g-Whitespace">   </span><span class="mi">9445</span>         <span class="bp">self</span><span class="o">.</span><span class="n">_lock</span> <span class="o">=</span> <span class="n">NullContext</span><span class="p">()</span>
<span class="ne">-&gt; </span><span class="mi">9446</span>         <span class="bp">self</span><span class="o">.</span><span class="n">open</span><span class="p">()</span>
<span class="g g-Whitespace">   </span><span class="mi">9447</span> 
<span class="g g-Whitespace">   </span><span class="mi">9448</span>     <span class="k">def</span> <span class="nf">open</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>

<span class="nn">~/miniconda3/envs/basepy39/lib/python3.9/site-packages/tifffile/tifffile.py</span> in <span class="ni">open</span><span class="nt">(self)</span>
<span class="g g-Whitespace">   </span><span class="mi">9457</span>             <span class="bp">self</span><span class="o">.</span><span class="n">_file</span> <span class="o">=</span> <span class="n">os</span><span class="o">.</span><span class="n">path</span><span class="o">.</span><span class="n">realpath</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">_file</span><span class="p">)</span>
<span class="g g-Whitespace">   </span><span class="mi">9458</span>             <span class="bp">self</span><span class="o">.</span><span class="n">_dir</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">_name</span> <span class="o">=</span> <span class="n">os</span><span class="o">.</span><span class="n">path</span><span class="o">.</span><span class="n">split</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">_file</span><span class="p">)</span>
<span class="ne">-&gt; </span><span class="mi">9459</span>             <span class="bp">self</span><span class="o">.</span><span class="n">_fh</span> <span class="o">=</span> <span class="nb">open</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">_file</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">_mode</span><span class="p">)</span>
<span class="g g-Whitespace">   </span><span class="mi">9460</span>             <span class="bp">self</span><span class="o">.</span><span class="n">_close</span> <span class="o">=</span> <span class="kc">True</span>
<span class="g g-Whitespace">   </span><span class="mi">9461</span>             <span class="k">if</span> <span class="bp">self</span><span class="o">.</span><span class="n">_offset</span> <span class="ow">is</span> <span class="kc">None</span><span class="p">:</span>

<span class="ne">FileNotFoundError</span>: [Errno 2] No such file or directory: &#39;/data/Manips/Columnar_Ice/CI23/DIC_Analysis/Test_spam/CI23_set01_001.tiff&#39;
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">plt</span><span class="o">.</span><span class="n">figure</span><span class="p">(</span><span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">30</span><span class="p">,</span><span class="mf">9.4</span><span class="p">))</span>
<span class="n">plt</span><span class="o">.</span><span class="n">subplot</span><span class="p">(</span><span class="mi">121</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">imshow</span><span class="p">(</span><span class="n">im_i</span><span class="p">,</span><span class="n">cmap</span><span class="o">=</span><span class="n">cm</span><span class="o">.</span><span class="n">gray</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">axis</span><span class="p">(</span><span class="s1">&#39;equal&#39;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">title</span><span class="p">(</span><span class="s1">&#39;initial image&#39;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">subplot</span><span class="p">(</span><span class="mi">122</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">imshow</span><span class="p">(</span><span class="n">im_f</span><span class="p">,</span><span class="n">cmap</span><span class="o">=</span><span class="n">cm</span><span class="o">.</span><span class="n">gray</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">axis</span><span class="p">(</span><span class="s1">&#39;equal&#39;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">title</span><span class="p">(</span><span class="s1">&#39;final image&#39;</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_plain highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>Text(0.5, 1.0, &#39;final image&#39;)
</pre></div>
</div>
<img alt="../_images/Spam_quick_start_6_1.png" src="../_images/Spam_quick_start_6_1.png" />
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">im_i</span><span class="o">.</span><span class="n">shape</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_plain highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>(4924, 7378)
</pre></div>
</div>
</div>
</div>
</div>
<div class="section" id="the-mask-image">
<h3>The mask image<a class="headerlink" href="#the-mask-image" title="Permalink to this headline">¶</a></h3>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">adr_m</span><span class="o">=</span><span class="s1">&#39;/data/Manips/Columnar_Ice/CI23/DIC_Analysis/Test_spam/CI23_set01_001_mask.tiff&#39;</span>
<span class="n">im_m</span><span class="o">=</span><span class="n">tifffile</span><span class="o">.</span><span class="n">imread</span><span class="p">(</span><span class="n">adr_m</span><span class="p">)</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">plt</span><span class="o">.</span><span class="n">figure</span><span class="p">(</span><span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">15</span><span class="p">,</span><span class="mf">9.4</span><span class="p">))</span>
<span class="n">plt</span><span class="o">.</span><span class="n">imshow</span><span class="p">(</span><span class="n">im_m</span><span class="p">,</span><span class="n">cmap</span><span class="o">=</span><span class="n">cm</span><span class="o">.</span><span class="n">gray</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">axis</span><span class="p">(</span><span class="s1">&#39;equal&#39;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">colorbar</span><span class="p">()</span>
<span class="n">plt</span><span class="o">.</span><span class="n">title</span><span class="p">(</span><span class="s1">&#39;initial image&#39;</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_plain highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>Text(0.5, 1.0, &#39;initial image&#39;)
</pre></div>
</div>
<img alt="../_images/Spam_quick_start_10_1.png" src="../_images/Spam_quick_start_10_1.png" />
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">im_m</span><span class="o">.</span><span class="n">shape</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_plain highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>(4924, 7378)
</pre></div>
</div>
</div>
</div>
</div>
</div>
<div class="section" id="the-dic-using-spam">
<h2>The DIC using spam<a class="headerlink" href="#the-dic-using-spam" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">mkdir</span> <span class="pre">spamcor</span></code></p>
<p><code class="docutils literal notranslate"><span class="pre">spam-reg</span> <span class="pre">-mf1</span> <span class="pre">CI23_set01_001_mask.tiff</span> <span class="pre">-bb</span> <span class="pre">8</span> <span class="pre">-be</span> <span class="pre">2</span> <span class="pre">CI23_set01_001.tiff</span> <span class="pre">CI23_set01_027.tiff</span></code></p>
<p><code class="docutils literal notranslate"><span class="pre">spam-pixelSearch</span> <span class="pre">CI23_set01_001.tiff</span> <span class="pre">CI23_set01_027.tiff</span> <span class="pre">-hws</span> <span class="pre">15</span> <span class="pre">-ns</span> <span class="pre">30</span> <span class="pre">-sr</span> <span class="pre">0</span> <span class="pre">0</span> <span class="pre">-20</span> <span class="pre">50</span> <span class="pre">-20</span> <span class="pre">20</span> <span class="pre">-vtk</span> <span class="pre">-mf1</span> <span class="pre">CI23_set01_001_mask.tiff</span></code></p>
<p><code class="docutils literal notranslate"><span class="pre">spam-filterPhiField</span> <span class="pre">-pf</span> <span class="pre">CI23_set01_001-CI23_set01_027-pixelSearch.tsv</span> <span class="pre">-scc</span> <span class="pre">-scct</span> <span class="pre">0.99</span> <span class="pre">-cint</span></code></p>
<p><code class="docutils literal notranslate"><span class="pre">spam-ldic</span> <span class="pre">CI23_set01_001.tiff</span> <span class="pre">CI23_set01_027.tiff</span> <span class="pre">-pf</span> <span class="pre">CI23_set01_001-CI23_set01_027-pixelSearch-filtered.tsv</span> <span class="pre">-hws</span> <span class="pre">15</span> <span class="pre">-vtk</span></code></p>
<p><code class="docutils literal notranslate"><span class="pre">spam-filterPhiField</span> <span class="pre">-pf</span> <span class="pre">CI23_set01_001-CI23_set01_027-ldic.tsv</span> <span class="pre">-srs</span> <span class="pre">-cint</span> <span class="pre">-vtk</span> <span class="pre">-notsv</span> <span class="pre">-od</span> <span class="pre">spamcor/</span></code></p>
<p>Need to build a function to import data from spam in xarray-dic</p>
</div>
</div>

    <script type="text/x-thebe-config">
    {
        requestKernel: true,
        binderOptions: {
            repo: "binder-examples/jupyter-stacks-datascience",
            ref: "master",
        },
        codeMirrorConfig: {
            theme: "abcdef",
            mode: "basepy39"
        },
        kernelOptions: {
            kernelName: "basepy39",
            path: "./docs"
        },
        predefinedOutput: true
    }
    </script>
    <script>kernelName = 'basepy39'</script>

              </div>
              
        
        <div class='prev-next-bottom'>
            

        </div>
        
        </div>
    </div>
    <footer class="footer mt-5 mt-md-0">
    <div class="container">
      <p>
        
          By Thomas Chauve<br/>
        
            &copy; Copyright 2021.<br/>
      </p>
    </div>
  </footer>
</main>


      </div>
    </div>
  
  <script src="../_static/js/index.1c5a1a01449ed65a7b51.js"></script>

  
  </body>
</html>